Clear
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ProviderCredential.Clear(ctx, operations.C1APILlmGatewayV1ProviderCredentialServiceClearRequest{
SlotID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ClearProviderCredentialResponse != nil {
// handle response
}
}curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/llm-gateway/provider-credentials/{slot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credential": {
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"headerStyle": "PROVIDER_CREDENTIAL_HEADER_STYLE_UNSPECIFIED",
"keyPrefix": "<string>",
"revokedAt": "2023-11-07T05:31:56Z",
"slotId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
}LLM Gateway Provider Credentials
Clear
Clear deletes the provider credential stored in the given slot.
DELETE
/
api
/
v1
/
llm-gateway
/
provider-credentials
/
{slot_id}
Clear
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ProviderCredential.Clear(ctx, operations.C1APILlmGatewayV1ProviderCredentialServiceClearRequest{
SlotID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ClearProviderCredentialResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The slotId field.
Body
application/json
The ClearProviderCredentialRequest message.
Response
200 - application/json
Successful response
The ClearProviderCredentialResponse message.
The ProviderCredential message.
Show child attributes
Show child attributes
Was this page helpful?